For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wirtschaftseinheiten

Hinweise zur Funktion

Wirtschaftseinheiten sind eine zusammengehörige Gruppe von Gebäuden und Freiflächen, welche zusammen eine Einheit bilden.

Wirtschaftseinheiten abrufen

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Namestring · nullableOptional
Locationstring · nullableOptional
ConstructionYearinteger · int32Optional
BindingEndDatestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
DistrictIdinteger · int32 · nullableOptional
Districtstring · nullableOptional
MonumentalProtectionTypeIdinteger · int32 · nullableOptional
MonumentalProtectionTypestring · nullableOptional
RegionalResponsibilityIdinteger · int32 · nullableOptional
RegionalResponsibilitystring · nullableOptional
Infostring · nullableOptional
AssetIdentificationIdinteger · int32Optional
AssetIdentificationstring · nullableOptional
StatusIdinteger · int32Optional
Statusstring · nullableOptional
get/openwowi/v1.0/CommercialInventory/EconomicUnits
GET /openwowi/v1.0/CommercialInventory/EconomicUnits HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Name": "text",
    "Location": "text",
    "ConstructionYear": 1,
    "BindingEndDate": "2026-10-15",
    "DistrictId": 1,
    "District": "text",
    "MonumentalProtectionTypeId": 1,
    "MonumentalProtectionType": "text",
    "RegionalResponsibilityId": 1,
    "RegionalResponsibility": "text",
    "Info": "text",
    "AssetIdentificationId": 1,
    "AssetIdentification": "text",
    "StatusId": 1,
    "Status": "text",
    "Owner": {
      "Id": 1,
      "OwnerNumber": "text"
    },
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    }
  }
]

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
managementIdinteger · int32Optional
managementIdNumstringOptional
ownerIdinteger · int32Optional
ownerNumberstringOptional
economicUnitIdinteger · int32Optional
economicUnitIdNumstringOptional
includeCompanyCodebooleanOptionalDefault: false
includeAdditionalFieldbooleanOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
IdNumstring · nullableOptional
Namestring · nullableOptional
Locationstring · nullableOptional
ConstructionYearinteger · int32Optional
Infostring · nullableOptional
BindingEndDatestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
get/openwowi/v1.2/CommercialInventory/EconomicUnits
GET /openwowi/v1.2/CommercialInventory/EconomicUnits HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "IdNum": "text",
    "Name": "text",
    "Location": "text",
    "ConstructionYear": 1,
    "Info": "text",
    "Management": {
      "Id": 1,
      "IdNum": "text"
    },
    "BindingEndDate": "2026-10-15",
    "Owner": {
      "Id": 1,
      "OwnerNumber": "text"
    },
    "AssetIdentification": {
      "Id": 1,
      "Name": "text"
    },
    "StatusInventory": {
      "Id": 1,
      "Name": "text"
    },
    "District": {
      "Id": 1,
      "Name": "text"
    },
    "MonumentalProtectionType": {
      "Id": 1,
      "Name": "text"
    },
    "RegionalResponsibility": {
      "Id": 1,
      "Name": "text"
    },
    "Architect": {
      "Id": 1,
      "PersonId": 1,
      "PersonIdNum": "text",
      "PersonName": "text"
    },
    "Caretaker": {
      "Id": 1,
      "PersonId": 1,
      "PersonIdNum": "text",
      "PersonName": "text"
    },
    "AdditionalFields": [
      {
        "Name": "text",
        "Content": "text",
        "Type": "text"
      }
    ],
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    }
  }
]

Die Enumerationseinträge für Status ID lauten folgendermaßen:

ID
Type

1

Bauvorbereitung

2

Bauerstellung

3

Fertige, nicht abgerechnete WIE

4

Fertige, abgerechnete WIE

5

Inaktiv

Den Endpunkt für den Verweis auf das Buchwerk finden Sie im Belegsystem.

Zuletzt aktualisiert